Skip to main content

Make a payment to a card

This operation allow you to make a payment to a card. The payment is similar to Disburse, but allow you to specify a description for the payment. This operation increase your card's available balance and decreases your main balance available.

HTTP Request

POST /cards/payment

Header Parameters

HeaderDescription
Authorization 
required
The Bearer token created in
Get authorization Token
Content-Type 
required
application/json

Body Parameters

ParameterTypePatternDescription
card_number 
required
string16 digits* or uuidThe card_number or card_id that will receive the payment
amount 
required
floatdigitsThe amount to receive has pay
payment_code 
required
string1-32 charactersThe payment code
latitude 
required
floatDigits format "DD.ddddd" (5 decimal precision)Latitude from where the payment is made. South latitudes are preceded by a minus sign. Latitudes range from -90 to 90
longitude 
required
floatDigits format "DDD.ddddd" (5 decimal precision)Longitude from where the payment is made. West longitudes are preceded by a minus sign. Longitudes range from -180 to 180
note

*If card_number is sended as 16 digits, it must be sended ciphered and Base 64 Encoded. See Data encryption & encoding.

Example JSON Request:

{
"card_number": "0517a773-8b92-4255-98c3-2a802f7394ac",
"amount": 1000.00,
"payment_code": "D0010",
"latitude": 12.12345,
"longitude": -15.12345
}

Example JSON Response:

{
"success": true,
"code": 0,
"message": "OK",
"data": {
"operation": {
"id": "cf7f10be-a967-4ad6-8ea0-b604070f6bfb",
"authorization_code": "NBN26031919535019",
"amount": 1000.00,
"payment_description": "PAGO A TARJETA",
"authorizer_date": "2026-03-19T13:53:50-06:00",
"authorizer_time": "2026-03-19T13:53:50-06:00",
"creation_timestamp": "2026-03-19T13:53:51.927-06:00"
},
"card": {
"id": "0517a773-8b92-4255-98c3-2a802f7394ac",
"masked_card_number": "************0123",
"last_four": "0123",
"type": "PHYSICAL",
"status": "ACTIVE"
},
"account": {
"id": "92286dcd-8639-4203-bfed-f78c4ab1bcf5",
"reference": null
},
"cardholder": {
"id": "133c9bd4-0bfc-46a9-a02a-2d40c4a42ac4",
"curp": "MATO750627HQRGBS09",
"rfc": "MATO750627XX1",
"first_name": "TOBEY",
"second_name": "",
"third_name": "",
"surname": "Vincent",
"second_surname": "Maguire"
},
"product": {
"id": "1c77e4ba-c536-4fa5-b3f8-a0f4427c333e",
"code": "FMC0001"
}
}
}